Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1877889 - jbig2dec-0.19 is available
Summary: jbig2dec-0.19 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jbig2dec
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael J Gruber
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1877781
TreeView+ depends on / blocked
 
Reported: 2020-09-10 16:40 UTC by Upstream Release Monitoring
Modified: 2020-10-03 02:01 UTC (History)
2 users (show)

Fixed In Version: jbig2dec-0.19-2.fc34 jbig2dec-0.19-2.fc33 jbig2dec-0.19-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-24 14:40:02 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2020-09-10 16:40:14 UTC
Latest upstream release: 0.19
Current version/release in rawhide: 0.18-4.fc33
URL: https://jbig2dec.com

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/1431/

Comment 1 Upstream Release Monitoring 2020-09-10 16:40:21 UTC
An HTTP error occurred downloading the package's new Source URLs: Getting https://github.com/ArtifexSoftware/ghostpdl-downloads/releases/download/gs952/jbig2dec-0.19.tar.gz to ./jbig2dec-0.19.tar.gz

Comment 2 Michael J Gruber 2020-09-17 13:32:46 UTC
Given the experience with previous jbig2dec updates I will try to do this in a side tag this time:

jbig2dec does not promise ABI stability, and even when I patch it to be ABI stable (as I did in the past) newer jbig2decs include checks (comparing the version of the dynamically linked system library to the the version of the headers a program was compiled against) which keep things from working. So rather than patching that check out, too, it seems more reliable to go with a side-tag and coordinate builds of:

- jbig2dec
- ghostscript (libgs)
- mupdf
- zathura-pdf-mupdf
- python3-PyMuPDF

Please amend or comment as appropriate.

Comment 3 Michael J Gruber 2020-09-18 19:36:34 UTC
jbig2dec 0.19 is in a (rawhide) side tag. You can build against it with:

fedpkg build --target=f34-build-side-30401

Comment 4 Fedora Update System 2020-09-24 14:40:02 UTC
FEDORA-2020-9c3074c5d3 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2020-09-28 16:59:28 UTC
FEDORA-2020-6d5bd33964 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6d5bd33964

Comment 6 Fedora Update System 2020-09-28 17:00:16 UTC
FEDORA-2020-020dea71ed has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-020dea71ed

Comment 7 Fedora Update System 2020-09-29 01:16:21 UTC
FEDORA-2020-6d5bd33964 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-6d5bd33964`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6d5bd33964

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-09-29 01:16:26 UTC
FEDORA-2020-020dea71ed has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-020dea71ed`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-020dea71ed

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-09-30 00:15:15 UTC
FEDORA-2020-020dea71ed has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-10-03 02:01:26 UTC
FEDORA-2020-6d5bd33964 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.